import request from '@/utils/request'

// 查询点位列表
export function listPoint(query) {
  return request({
    url: '/mudu/point/list',
    method: 'get',
    params: query
  })
}

// 查询点位详细
export function getPoint(id) {
  return request({
    url: '/mudu/point/' + id,
    method: 'get'
  })
}

// 新增点位
export function addPoint(data) {
  return request({
    url: '/mudu/point',
    method: 'post',
    data: data
  })
}

// 修改点位
export function updatePoint(data) {
  return request({
    url: '/mudu/point',
    method: 'put',
    data: data
  })
}

// 删除点位
export function delPoint(id) {
  return request({
    url: '/mudu/point/' + id,
    method: 'delete'
  })

}


